Bug 841501 - Network script BOOTPROTO value case sensitive
Network script BOOTPROTO value case sensitive
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts (Show other bugs)
6.2
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Lukáš Nykrýn
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 04:22 EDT by Adam Kovari
Modified: 2015-08-31 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-30 08:33:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Kovari 2012-07-19 04:22:33 EDT
Description of problem:
Network scripts like /etc/sysconfig/network-scripts/ifcfg-em1
ignore BOOTPROTO="DHCP"

BOOTPROTO=dhcp works fine

Maybe this should be case insensitive.

Version-Release number of selected component (if applicable):
RHEL 6.2

How reproducible:
always
Comment 2 Lukáš Nykrýn 2012-07-30 08:33:10 EDT
Most of the options are case-sensitive, so this would mean rewriting most of the scripts, so I don't think that this is a good idea.

Note You need to log in before you can comment on or make changes to this bug.